<?php

namespace EventPortal\Domain\Event\Models;

use Illuminate\Database\Eloquent\Model;

class Event extends Model
{
    /** @var array<string> */
    protected $guarded = [];

    public function fields(): Fieldable
    {
        return [
            ID::make()->sortable(),
            Text::make('Name')->sortable()->creationRules(['required', 'unique:events,name'])
        ];
    }
}
