<?php

namespace EventPortal\Domain\Table\DataObjects;

use EventPortal\Domain\Field\Models\Field;

class Filter
{
    /** @var string */
    public $label;

    /** @var string */
    public $key;

    /** @var array */
    public $options;

    public function __construct(Field $field)
    {
        $this->label = $field->label;
        $this->key = $field->name;
        $this->options = $field->data->get('options');
    }
}
